#
# spec file for package konversation (Version 0.19)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org
#

# norootforbuild
# icecream 0
# neededforbuild  alsa alsa-devel audiofile audiofile-devel kde3-devel-packages libogg libogg-devel libstdc++-devel libvorbis libvorbis-devel resmgr

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel alsa alsa-devel arts arts-devel audiofile audiofile-devel autoconf automake binutils expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libogg libogg-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libvorbis libvorbis-devel libxml2 libxml2-devel libxslt libxslt-devel openssl-devel pcre pcre-devel perl python qt3 qt3-devel resmgr rpm unsermake update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         konversation
URL:          http://konversation.sourceforge.net/
License:      GPL
Group:        Productivity/Networking/IRC
Autoreqprov:  on
Version:      0.19
Release:      3.1
Summary:      A user friendly IRC client for KDE 3
Source:       konversation-%version.tar.bz2
Requires:     kdelibs3 >= %( echo `rpm -q --queryformat '%{VERSION}' kdelibs3`)
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Patch:        fix-gcc41.diff

%description
Konversation is user friendly IRC client for KDE 3.x.



Authors:
--------
    Dario Abatianni <eisfuchs@tigress.com>
    Matthias Gierlings <gismore@tigress.com>

%debug_package
%prep
%setup -q
%patch
. /etc/opt/kde3/common_options
update_admin

%build
. /etc/opt/kde3/common_options
# CXXFLAGS="$CXXFLAGS -fstack-protector"
./configure $configkde --disable-final
make

%install
. /etc/opt/kde3/common_options
make DESTDIR=$RPM_BUILD_ROOT $INSTALL_TARGET
%suse_update_desktop_file %name IRCClient
%find_lang %name

%files  -f %name.lang
%defattr(-,root,root)
%dir /opt/kde3/share/icons/hicolor/*
%dir /opt/kde3/share/icons/hicolor/*/apps
/opt/kde3/share/apps/konversation
/opt/kde3/bin/*
/opt/kde3/share/applications/kde/konversation.desktop
/opt/kde3/share/config.kcfg/konversation.kcfg
/opt/kde3/share/icons/*/*/*/*
/opt/kde3/share/apps/kconf_update/*
/opt/kde3/share/services/*

%changelog -n konversation
* Mon Jan 30 2006 - stbinner@suse.de
- update to version 0.19
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - jreuter@suse.de
- build with -fstack-protector
* Tue Oct 18 2005 - dmueller@suse.de
- build
* Wed Jun 08 2005 - jreuter@suse.de
- fix bogus filter on %%n in command aliases
* Tue Jun 07 2005 - jreuter@suse.de
- update to version 0.18
* Thu Apr 14 2005 - sbrabec@suse.cz
- Added audiofile-devel to neededforbuild.
* Thu Apr 07 2005 - adrian@suse.de
- update to version 0.17
* Thu Mar 24 2005 - jreuter@suse.de
- upgrade to version 0.16
* Sat Mar 05 2005 - adrian@suse.de
- fix build for released distributions
* Tue Feb 01 2005 - jreuter@suse.de
- upgrade to version 0.15.1 (#50027):
- CAN-2005-0129 IRC command injection on pressing quick buttons
- CAN-2005-0130 shell command injection in perl scripts
- CAN-2005-0131 nick and password swapped on quick connect
* Mon Jan 03 2005 - adrian@suse.de
- fix installation of documentation files
- remove unneeded mad and mad-devel from nfb
* Wed Dec 01 2004 - jreuter@suse.de
- upgrade to version 0.15
* Tue Sep 07 2004 - jreuter@suse.de
- changed /quit and /part message to something less political (#43368)
- fixed character encoding dialog when using UTF-8 locale (#43368)
* Thu Jul 15 2004 - jreuter@suse.de
- do not register "irc" ort "irc6" protocol handler in case
  another one already exists
* Fri Jul 09 2004 - jreuter@suse.de
- upgrade to version 0.14
* Thu Feb 26 2004 - jreuter@suse.de
- fixed character encoding selection
- will start up with sensible default char encoding if it cannot be
  derived from config file or environment
* Wed Feb 25 2004 - jreuter@suse.de
- removed bogus re-definition of "unsigned long long" from server.cpp
* Mon Jan 19 2004 - jreuter@suse.de
- update_admin works again with current admin directory
* Sun Nov 16 2003 - jreuter@suse.de
- do not run update_admin (tar ball is missing some input files)
* Sun Nov 16 2003 - adrian@suse.de
- fix .mo file names
* Sat Nov 15 2003 - jreuter@suse.de
- upgrade to version 0.13
* Sat Aug 09 2003 - adrian@suse.de
- add Categories
* Sun Jun 15 2003 - coolo@suse.de
- package directories
- use %%find_lang
* Wed May 28 2003 - jreuter@suse.de
- new version 0.12
* Wed Apr 16 2003 - coolo@suse.de
- use BuildRoot
* Fri Mar 28 2003 - jreuter@suse.de
- new version 0.11
* Tue Feb 25 2003 - sf@suse.de
- added fix to configure to find kdelibs
* Mon Feb 10 2003 - jreuter@suse.de
- initial package (konversation version 0.9)
